
From: David Howells <dhowells@redhat.com>

The attached patch removes some unnecessary inclusions of asm/a.out.h, thus
allowing an arch to dispense with it.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/exec.c       |    1 -
 25-akpm/fs/proc/kcore.c |    1 -
 2 files changed, 2 deletions(-)

diff -puN fs/exec.c~remove-unnecessary-inclusions-of-asm-aouth fs/exec.c
--- 25/fs/exec.c~remove-unnecessary-inclusions-of-asm-aouth	2004-11-09 00:08:48.859263288 -0800
+++ 25-akpm/fs/exec.c	2004-11-09 00:08:48.865262376 -0800
@@ -26,7 +26,6 @@
 #include <linux/slab.h>
 #include <linux/file.h>
 #include <linux/mman.h>
-#include <linux/a.out.h>
 #include <linux/stat.h>
 #include <linux/fcntl.h>
 #include <linux/smp_lock.h>
diff -puN fs/proc/kcore.c~remove-unnecessary-inclusions-of-asm-aouth fs/proc/kcore.c
--- 25/fs/proc/kcore.c~remove-unnecessary-inclusions-of-asm-aouth	2004-11-09 00:08:48.861262984 -0800
+++ 25-akpm/fs/proc/kcore.c	2004-11-09 00:08:48.865262376 -0800
@@ -13,7 +13,6 @@
 #include <linux/mm.h>
 #include <linux/proc_fs.h>
 #include <linux/user.h>
-#include <linux/a.out.h>
 #include <linux/elf.h>
 #include <linux/elfcore.h>
 #include <linux/vmalloc.h>
_
